## Local development

```sh
docker-compose-up -d
```

### Prometheus

The tool that serves as the data source for the Grafana representation layer.
Adds timestamps to enable series data. Includes query language (PromQL) that
Grafana uses to retrieve and transform data. Also provides alerting.

> In a typical implementation, Prometheus collects the raw metrics data from various systems, and Grafana connects to Prometheus as a data source to create dashboards with visualizations of those metrics.

### Node exporter

Prometheus has different plug-ins called "exporters". These expose metrics from
different processes and services and present them in a format that Prometheus
can scrape. Node Exporter is one of these - it exposes hardware and OS metrics
(such as CPU use and load, memory, disk capacity etc).

### Loki

Loki is for storing and displaying logs. This is part of Grafana. Promtail (also
part of Grafana) is for collecting the logs.
